var d3 = require("d3-hierarchy");

var data = [
  {foo: "zz", id: "a"},
  {foo: "zz", id: "aa", parentId: "a"},
  {foo: "zz", id: "ab", parentId: "a"},
  {foo: "zz", id: "aaa", parentId: "aa"}
];

var root = d3.stratify()
    .id(function(d) { return d.id; })
    .parentId(function(d) { return d.parentId; })
  (data)
    .eachBefore(function(d) { d.data = {foo: d.data.foo}; });
;
